Issue 123575

Summary: Drop Seamonkey provided address books
Product: General Reporter: hdu <hdu>
Component: codeAssignee: hdu <hdu>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, pescetti
Version: 4.0.0   
Target Milestone: 4.1.0   
Hardware: All   
OS: All   
See Also: https://issues.apache.org/ooo/show_bug.cgi?id=124183
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 62370, 116901, 85356, 91079, 123642    
Issue Blocks: 123623    

Description hdu@apache.org 2013-10-29 15:05:26 UTC
With issue 122365 the AOO dependency on ancient Seamonkey binaries is removed for AOO's security features. The Seamonkey binaries are still being used for providing some address books but these facilities are seriously outdated and often don't work anymore:
Bug 85356: authenticated LDAP didn't work since 2008
Bug 62370: Outlook/Windows address books containing Distribution lists don't work
Bug 91079: Outlook/Windows address books didn't work after WinXP

The address book integration for Evolution 1.x used the Seamonkey binary, but Evolution 2.0 and newer which has been released in 2004 uses a newer integration that doesn't depend on mozab. According to bug 116901 even this newer driver named evoab2 seems to need an update.
Comment 1 hdu@apache.org 2013-10-29 15:38:18 UTC
Fixing the address book problems outlined above in the outdated Seamonkey binaries is much more effort than redoing the integrations using less heavy dependencies. Dropping the Seamonkey provided address books is the first important step.
Comment 2 SVN Robot 2013-11-01 17:13:56 UTC
"hdu" committed SVN revision 1537991 into branches/Remove_MOZ:
#i123575# remove obsolete Evolution-1.x address book driver
Comment 3 SVN Robot 2013-11-04 13:11:59 UTC
"hdu" committed SVN revision 1538584 into branches/Remove_MOZ:
#i123575# drop seamonkey provided address books
Comment 4 SVN Robot 2013-11-04 13:26:58 UTC
"hdu" committed SVN revision 1538590 into branches/Remove_MOZ:
#i123575# remove mozab test code
Comment 5 SVN Robot 2013-11-04 13:32:16 UTC
"hdu" committed SVN revision 1538598 into branches/Remove_MOZ:
#i123575# fix mismatching header-guard comment
Comment 6 SVN Robot 2013-11-04 13:39:00 UTC
"hdu" committed SVN revision 1538601 into branches/Remove_MOZ:
#i123575# remove mozab test config
Comment 7 SVN Robot 2013-11-06 08:20:48 UTC
"hdu" committed SVN revision 1539264 into trunk:
#i123575# RmMoz 6/9: drop seamonkey provided address books
Comment 8 SVN Robot 2013-11-06 08:24:01 UTC
"hdu" committed SVN revision 1539265 into trunk:
#i123575# RmMoz 7/9: fix mismatching header guard comment
Comment 9 hdu@apache.org 2013-11-25 13:52:26 UTC
Fixed with the commits above.